WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: imagemagick.tcz.dep update for TC14 x86_64 (and x86?)  (Read 618 times)

Offline CNK

  • Full Member
  • ***
  • Posts: 238
imagemagick.tcz.dep update for TC14 x86_64 (and x86?)
« on: February 13, 2024, 03:04:16 AM »
When glib2 was updated to depend on the pcre21042.tcz extension instead of pcre.tcz, this broke imagemagick.tcz which relied on pcre.tcz as a recursive dependency.

I suggest the following line be added in imagemagick.tcz.dep for TC14 x86_64 (maybe also x86?) to fix this:
Code: [Select]
pcre.tcz

The apparantly identical extension in the TC15 repo presumably has the same problem.

Thank you.

Offline CNK

  • Full Member
  • ***
  • Posts: 238
Re: imagemagick.tcz.dep update for TC14 x86_64 (and x86?)
« Reply #1 on: March 16, 2024, 07:51:18 PM »
Quote
The apparantly identical extension in the TC15 repo presumably has the same problem.

Confirmed still a problem in TC15 on x86_64:
Code: [Select]
$ convert polar.webp polar.jpg
convert: error while loading shared libraries: libpcre.so.1: cannot open shared object file: No such file or directory

Again fixed by pcre.tcz.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14544
Re: imagemagick.tcz.dep update for TC14 x86_64 (and x86?)
« Reply #2 on: March 18, 2024, 01:40:50 AM »
dep file adjusted - thanks